Bug 223272 - archivers/lha: Add license information
Summary: archivers/lha: Add license information
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-27 09:14 UTC by Yasuhiro Kimura
Modified: 2018-01-15 12:44 UTC (History)
0 users

See Also:
dinoex: maintainer-feedback+


Attachments
patch file (3.81 KB, patch)
2017-10-27 09:14 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2017-10-27 09:14:53 UTC
Created attachment 187511 [details]
patch file

Add license information.

As is included in attached patch, LICENSE_PERMS does not include pkg-mirror. So please request portmgr to remove package of this port from package repository.
Comment 1 Dirk Meyer freebsd_committer 2017-10-31 20:35:29 UTC
Thanks for the work.

The author did gave FreeBSD further permissions.
should LICENSE reflect the original license,
or should it reflect the FreeBSD case?

LICENSE_PERMS should allow pkg-mirror in this case?

please see also for pkg-desc:

     If this software is included in a medium that may be obtained by
users without network connectivity, please notify Tsuguo Okamoto in
advance.  Redistribution over networks is not restricted.

     According to Masafumi NAKANE <max@wide.ad.jp> the author gives
permission to distribute this software on FreeBSD CDROM.
Comment 2 Yasuhiro Kimura freebsd_committer 2017-11-04 10:42:49 UTC
(In reply to Dirk Meyer from comment #1)

Thank you for comments.

> According to Masafumi NAKANE <max@wide.ad.jp> the author gives permission to distribute this software on FreeBSD CDROM.

I overlooked it. Then dist-sell should be added to LICENSE_PERMS.

As for pkg-mirror and pkg-sell there are following sentence in license terms.

> c. バイナリのみの配布は許されない。(付加価値のものも含む)

It means

> c. Distribution of binary only is not permitted (Including binary of value added version).

So unless there is special permission to FreeBSD, pkg-mirror and pkg-sell should not to be added.
Comment 3 commit-hook freebsd_committer 2018-01-15 12:42:32 UTC
A commit references this bug:

Author: dinoex
Date: Mon Jan 15 12:42:06 UTC 2018
New revision: 459039
URL: https://svnweb.freebsd.org/changeset/ports/459039

Log:
  - Add license information
  PR:		223272
  Submitted by:	Yasuhiro KIMURA

Changes:
  head/LEGAL
  head/archivers/lha/Makefile
  head/archivers/lha/files/LICENSE
Comment 4 Dirk Meyer freebsd_committer 2018-01-15 12:44:29 UTC
Committed thanks.